#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-

# GIMP plugin to generate autocrop linked layers
# (c) Ofnuts 2011
#
#   History:
#
#   v0.0: 2011-06-06: First published version
#   v0.1: 2011-06-07: Fix use of autocrop-layer
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from gimpfu import *


def autocropLinkedLayers(image,drawable):
	for layer in image.layers:
		if layer.linked:
			print 'Autocropping layer %s' % layer.name
			pdb.gimp_image_set_active_layer(image, layer)
			pdb.plug_in_autocrop_layer(image, layer)


### Registrations
    
register(
    "autocrop-linked-layers",
    N_("Autocrop linked layers"),
    "Autocrop linked layers",
    "Ofnuts",
    "Ofnuts",
    "2011",
    N_("Autocrop linked layers..."),
    "RGB*, GRAY*",
    [
        (PF_IMAGE, "image", "Input image", None),
        (PF_DRAWABLE, "drawable", "Input drawable", None),
    ],
    [],
    autocropLinkedLayers,
    menu="<Image>/Image",
    domain=("gimp20-python", gimp.locale_directory)
)

main()
